import type { App } from 'vue'
import { createI18n } from 'vue-i18n'
import messages from './locale'

const i18n = createI18n({
  // locale: localStg.get('lang') || 'zh-CN',
  // fallbackLocale: 'en',
  // messages,
  // legacy: false,
  locale: 'zh-CN', // 强制设为中文
  fallbackLocale: 'zh-CN', // 回退语言也设为中文
  allowComposition: true,
  messages,
  // 建议关闭旧版兼容模式，减少控制台警告
  legacy: false,
})

/**
 * Setup plugin i18n
 *
 * @param app
 */
export function setupI18n(app: App) {
  app.use(i18n)
}

export const $t = i18n.global.t as App.I18n.$T

export function setLocale(locale: App.I18n.LangType) {
  i18n.global.locale.value = locale
}
